package com.bocloud.cmp.model.hmc.pcm;

import java.util.Map;

public class PcmStorage {
    // v-scsi的前一个时间戳总计流量值
    private Map<String, VscsiLatestValue> vscsiLatestValue;
    // v-scsi的总流量速率趋势值
    private Map<String, VscsiTrend> vscsiTrends;
    // v-scsi的分区总流量利用率趋势值
    private Map<String, PcmViosStorage> viosStorages;

    public Map<String, VscsiLatestValue> getVscsiLatestValue() {
        return vscsiLatestValue;
    }

    public void setVscsiLatestValue(Map<String, VscsiLatestValue> vscsiLatestValue) {
        this.vscsiLatestValue = vscsiLatestValue;
    }

    public Map<String, VscsiTrend> getVscsiTrends() {
        return vscsiTrends;
    }

    public void setVscsiTrends(Map<String, VscsiTrend> vscsiTrends) {
        this.vscsiTrends = vscsiTrends;
    }

    public Map<String, PcmViosStorage> getViosStorages() {
        return viosStorages;
    }

    public void setViosStorages(Map<String, PcmViosStorage> viosStorages) {
        this.viosStorages = viosStorages;
    }
}
